function MovieShow(message)
	if string.sub(message, 1, 30) == "Choose tank casset darkned to " then -- Заходим из Choose TAnk'a
		--Из Coose Tank'а
		--Для дебага  показать все кассеты
		--PermanentStorage.SetLocalBool("is show scene1", true)
		--PermanentStorage.SetLocalBool("is show scene2", true)
		--PermanentStorage.SetLocalBool("is show scene3", true)
		--PermanentStorage.SetLocalBool("is show scene4", true)
		
		local filmName = string.sub(message, 31, 40)
		
		SendMessage("Screen", "clear children list")
		SendMessage("Screen", "template MoviesTemplate")
		SendMessage("Screen", "create top instance")			
			
		SendMessage("Movies player", "title "..filmName)
		SendMessage("Movies player", "set message movies stopped "..filmName)		
		filmName = filmName..".xml"	
		SendMessage("post:Movies player", "play clips\\"..filmName)	--!!!Путь тут  добавляется, конечно, зря...
	elseif message == "movies skip" then		--Пропускаем сцену
		SendMessage("Movies player", "skip")		
		
	elseif	message	=="first show scene11" then --Интро при новом плеере
		SendMessage("Screen", "template DarkeningTemplate")
		SendMessage("Screen", "defineText [receiver] post:lua:MovieShow")
		SendMessage("Screen", "defineText [message] first show scene11 darkned")
		SendMessage("Screen", "create top instance")	
	elseif	message	=="first show scene11 darkned" then
		SendMessage("Screen", "clear children list")	
		SendMessage("post:Screen", "template MoviesTemplate")
		SendMessage("post:Screen", "create top instance")							
		SendMessage("post:Movies player", "title scene11")			
		SendMessage("post:Movies player", "set message movies first stop scene11")					
		PermanentStorage.SetLocalBool("is show scene11", true)
		SendMessage("post:Movies player", "don't show title")								
		SendMessage("post:Movies player", "play clips\\scene11.xml")						
	elseif	message	=="movies first stop scene11" then
		SendMessage("Screen", "clear children list")	
		SendMessage("lua:MainMenuFunc", "Create main menu")		
		SendMessage("Screen", "template BrighteningTemplate")
		SendMessage("Screen", "create top instance")											
		SendMessage("lua:MainMenuFunc", "Main menu panel out for shop")
		--SendMessage("lua:MainMenuFunc", "Enter main menu")				
	elseif string.sub(message, 1, 15) == "movies stopped " then	--Вернуться в Choose Tank	
		local filmName = string.sub(message, 16, 40)
		assert(filmName == "scene11" or filmName == "scene1" or filmName == "scene2" or filmName == "scene3" or filmName == "scene4" or filmName == "scene5")	
		SendMessage("Screen", "clear children list")	
		SendMessage("Screen", "template ChooseTankTemplate")
		--SendMessage("Screen", "defineText [fromWhere] casette "..filmName)
		
		SendMessage("Screen", "create top instance")	
		SendMessage("Choose tank control", "From movie "..filmName)
		DontGrowProgressBars()								
		
	else	
		assert(false, "Unknown message "..message)
	end
end